CHANGELOG for 4.3.x
===================

This changelog references the relevant changes (bug and security fixes) done
in 4.3 minor versions.

To get the diff for a specific change, go to https://github.com/symfony/symfony/commit/XXX where XXX is the change hash
To get the diff between two versions, go to https://github.com/symfony/symfony/compare/v4.3.0...v4.3.1

* 4.3.10 (2020-01-21)

 * bug #35364 [Yaml] Throw on unquoted exclamation mark (fancyweb)
 * bug #35065 [Security] Use supportsClass in addition to UnsupportedUserException (linaori)
 * bug #35343 [Security] Fix RememberMe with null password (jderusse)
 * bug #34223 [DI] Suggest typed argument when binding fails with untyped argument (gudfar)
 * bug #35324 [HttpClient] Fix strict parsing of response status codes (Armando-Walmeric)
 * bug #35318 [Yaml] fix PHP const mapping keys using the inline notation (xabbuh)
 * bug #35304 [HttpKernel] Fix that no-cache MUST revalidate with the origin (mpdude)
 * bug #35299 Avoid `stale-if-error` in FrameworkBundle's HttpCache if kernel.debug = true (mpdude)
 * bug #35151 [DI] deferred exceptions in ResolveParameterPlaceHoldersPass (Islam93)
 * bug #35278 [EventDispatcher] expand listener in place (xabbuh)
 * bug #35254 [PHPUnit-Bridge] Fail-fast in simple-phpunit if one of the passthru() commands fails (mpdude)
 * bug #35261 [Routing] Fix using a custom matcher & generator dumper class (fancyweb)
 * bug #34643 [Dotenv] Fixed infinite loop with missing quote followed by quoted value (naitsirch)
 * bug #35239 [Security\Http] Prevent canceled remember-me cookie from being accepted (chalasr)
 * bug #35267 [Debug] fix ClassNotFoundFatalErrorHandler (nicolas-grekas)
 * bug #35193 [TwigBridge] button_widget now has its title attr translated even if its label = null or false (stephen-lewis)
 * bug #35219 [PhpUnitBridge] When using phpenv + phpenv-composer plugin, composer executable is wrapped into a bash script (oleg-andreyev)
 * bug #35150 [Messenger] Added check if json_encode succeeded (toooni)
 * bug #35170 [FrameworkBundle][TranslationUpdateCommand] Do not output positive feedback on stderr (fancyweb)
 * bug #35223 [HttpClient] Don't read from the network faster than the CPU can deal with (nicolas-grekas)
 * bug #35214 [DI] DecoratorServicePass should keep container.service_locator on the decorated definition (malarzm)
 * bug #35210 [HttpClient] NativeHttpClient should not send >1.1 protocol version (nicolas-grekas)
 * bug #33672 [Mailer] Remove line breaks in email attachment content (Stuart Fyfe)
 * bug #35101 [Routing] Fix i18n routing when the url contains the locale (fancyweb)
 * bug #35124 [TwigBridge][Form] Added missing help messages in form themes (cmen)
 * bug #35168 [HttpClient] fix capturing SSL certificates with NativeHttpClient (nicolas-grekas)
 * bug #35134 [PropertyInfo] Fix BC issue in phpDoc Reflection library (jaapio)
 * bug #35173 [Mailer][MailchimpBridge] Fix missing attachments when sending via Mandrill API (vilius-g)
 * bug #35172 [Mailer][MailchimpBridge] Fix incorrect sender address when sender has name (vilius-g)
 * bug #35125 [Translator] fix performance issue in MessageCatalogue and catalogue operations (ArtemBrovko)
 * bug #35120 [HttpClient] fix scheduling pending NativeResponse (nicolas-grekas)
 * bug #35117 [Cache] do not overwrite variable value (xabbuh)
 * bug #35113 [VarDumper] Fix "Undefined index: argv" when using CliContextProvider (xepozz)
 * bug #35103 [Translation] Use `locale_parse` for computing fallback locales (alanpoulain)
 * bug #35094 [Console] Fix filtering out identical alternatives when there is a command loader (fancyweb)
 * bug #35039 [DI] skip looking for config class when the extension class is anonymous (nicolas-grekas)
 * bug #35049 [ProxyManager] fix generating proxies for root-namespaced classes (nicolas-grekas)
 * bug #35022 [Dotenv] FIX missing getenv (mccullagh)
 * bug #35025 [HttpClient][Psr18Client] Remove Psr18ExceptionTrait (fancyweb)
 * bug #35014 [HttpClient] make pushed responses retry-able (nicolas-grekas)
 * bug #35010 [VarDumper] ignore failing __debugInfo() (nicolas-grekas)
 * bug #34998 [DI] fix auto-binding service providers to their service subscribers (nicolas-grekas)
 * bug #33670 [DI] Service locators can't be decorated (malarzm)
 * bug #35000 [Console][SymfonyQuestionHelper] Handle multibytes question choices keys and custom prompt (fancyweb)
 * bug #34996 Fix displaying anonymous classes on PHP 7.4 (nicolas-grekas)
 * bug #29839 [Validator] fix comparisons with null values at property paths (xabbuh)
 * bug #34900 [DoctrineBridge] Fixed submitting invalid ids when using queries with limit (HeahDude)
 * bug #34791 [Serializer] Skip uninitialized (PHP 7.4) properties in PropertyNormalizer and ObjectNormalizer (vudaltsov)
 * bug #34956 [Messenger][AMQP] Use delivery_mode=2 by default (lyrixx)
 * bug #34915 [FrameworkBundle] Fix invalid Windows path normalization in TemplateNameParser (mvorisek)
 * bug #34981 stop using deprecated Doctrine persistence classes (xabbuh)
 * bug #34904 [Validator][ConstraintValidator] Safe fail on invalid timezones (fancyweb)
 * bug #34955 Require doctrine/persistence ^1.3 (nicolas-grekas)
 * bug #34923 [DI] Fix support for immutable setters in CallTrait (Lctrs)
 * bug #34918 [Translation] fix memoryleak in PhpFileLoader (nicolas-grekas)
 * bug #34920 [Routing] fix memoryleak when loading compiled routes (nicolas-grekas)
 * bug #34787 [Cache] Propagate expiry when syncing items in ChainAdapter (trvrnrth)
 * bug #34896 [Cache] fix memory leak when using PhpFilesAdapter (nicolas-grekas)
 * bug #34438 [HttpFoundation] Use `Cache-Control: must-revalidate` only if explicit lifetime has been given (mpdude)
 * bug #34449 [Yaml] Implement multiline string as scalar block for tagged values (natepage)
 * bug #34601 [MonologBridge] Fix debug processor datetime type (mRoca)
 * bug #34842 [ExpressionLanguage] Process division by zero (tigr1991)
 * bug #34902 [PropertyAccess] forward caught exception (xabbuh)
 * bug #34888 [TwigBundle] add tags before processing them (xabbuh)
 * bug #34762 [Config] never try loading failed classes twice with ClassExistenceResource (nicolas-grekas)
 * bug #34839 [Cache] fix memory leak when using PhpArrayAdapter (nicolas-grekas)
 * bug #34812 [Yaml] fix parsing negative octal numbers (xabbuh)
 * bug #34854 [Messenger] gracefully handle missing event dispatchers (xabbuh)
 * bug #34788 [SecurityBundle] Properly escape regex in AddSessionDomainConstraintPass (fancyweb)
 * bug #34755 [FrameworkBundle] resolve service locators in `debug:*` commands (nicolas-grekas)
 * bug #34832 [Validator] Allow underscore character "_" in URL username and password (romainneutron)
 * bug #34776 [DI] fix resolving bindings for named TypedReference (nicolas-grekas)
 * bug #34738 [SecurityBundle] Passwords are not encoded when algorithm set to "true" (nieuwenhuisen)
 * bug #34779 [Security] do not validate passwords when the hash is null (xabbuh)
 * bug #34757 [DI] Fix making the container path-independent when the app is in /app (nicolas-grekas)

* 4.3.9 (2019-12-01)

 * bug #34649 more robust initialization from request (dbu)
 * bug #34671 [Security] Fix clearing remember-me cookie after deauthentication (chalasr)
 * bug #34711 Fix the translation commands when a template contains a syntax error (fabpot)
 * bug #34560 [Config][ReflectionClassResource] Handle parameters with undefined constant as their default values (fancyweb)
 * bug #34695 [Config] don't break on virtual stack frames in ClassExistenceResource (nicolas-grekas)
 * bug #34716 [DependencyInjection] fix dumping number-like string parameters (xabbuh)
 * bug #34558 [Console] Fix autocomplete multibyte input support (fancyweb)
 * bug #34130 [Console] Fix commands description with numeric namespaces (fancyweb)
 * bug #34677 [EventDispatcher] Better error reporting when arguments to dispatch() are swapped (rimas-kudelis)
 * bug #33573 [TwigBridge] Add row_attr to all form themes (fancyweb)
 * bug #34019 [Serializer] CsvEncoder::NO_HEADERS_KEY ignored when used in constructor (Dario Savella)
 * bug #34083 [Form] Keep preferred_choices order for choice groups (vilius-g)
 * bug #34091 [Debug] work around failing chdir() on Darwin (mary2501)
 * bug #34305 [PhpUnitBridge] Read configuration CLI directive (ro0NL)
 * bug #34490 [Serializer] Fix MetadataAwareNameConverter usage with string group (antograssiot)
 * bug #34632 [Console] Fix trying to access array offset on value of type int (Tavafi)
 * bug #34669 [HttpClient] turn exception into log when the request has no content-type (nicolas-grekas)
 * bug #34636 [VarDumper] notice on potential undefined index (sylvainmetayer)
 * bug #34668 [Cache] Make sure we get the correct number of values from redis::mget() (thePanz)
 * bug #34569 [Workflow] Apply the same logic of precedence between the apply() and the buildTransitionBlockerList() method (lyrixx)
 * bug #34533 [Monolog Bridge] Fixed accessing static property as non static. (Sander-Toonen)
 * bug #34546 [Serializer] Add DateTimeZoneNormalizer into Dependency Injection (jewome62)
 * bug #34547 [Messenger] Error when specified default bus is not among the configured (vudaltsov)
 * bug #34551 [Security] SwitchUser is broken when the User Provider always returns a valid user (tucksaun)
 * bug #34385 Avoid empty "If-Modified-Since" header in validation request (mpdude)
 * bug #34458 [Validator] ConstraintValidatorTestCase: add missing return value to mocked validate method calls (ogizanagi)
 * bug #34451 [DependencyInjection] Fix dumping multiple deprecated aliases (shyim)
 * bug #34448 [Form] allow button names to start with uppercase letter (xabbuh)
 * bug #34419 [Cache] Disable igbinary on PHP >= 7.4 (nicolas-grekas)
 * bug #34366 [HttpFoundation] Allow redirecting to URLs that contain a semicolon (JayBizzle)
 * bug #34397 [FrameworkBundle] Remove project dir from Translator cache vary scanned directories (fancyweb)
 * bug #34408 [Cache] catch exceptions when using PDO directly (xabbuh)
 * bug #34410 [HttpFoundation] Fix MySQL column type definition. (jbroutier)
 * bug #34398 [Config] fix id-generation for GlobResource (nicolas-grekas)
 * bug #34396 [Finder] Allow ssh2 stream wrapper for sftp (damienalexandre)
 * bug #34383 [DI] Use reproducible entropy to generate env placeholders (nicolas-grekas)
 * bug #34381 [WebProfilerBundle] Require symfony/twig-bundle (fancyweb)

* 4.3.8 (2019-11-13)

 * bug #34344 [Console] Constant STDOUT might be undefined (nicolas-grekas)
 * security #cve-2019-18886 [Security\Core] throw AccessDeniedException when switch user fails (nicolas-grekas)
 * security #cve-2019-18888 [Mime] fix guessing mime-types of files with leading dash (nicolas-grekas)
 * security #cve-2019-11325 [VarExporter] fix exporting some strings (nicolas-grekas)
 * security #cve-2019-18889 [Cache] forbid serializing AbstractAdapter and TagAwareAdapter instances (nicolas-grekas)
 * security #cve-2019-18888 [HttpFoundation] fix guessing mime-types of files with leading dash (nicolas-grekas)
 * security #cve-2019-18887 [HttpKernel] Use constant time comparison in UriSigner (stof)

* 4.3.7 (2019-11-11)

 * bug #34294 [Workflow] Fix error when we use ValueObject for the marking property (FabienSalles)
 * bug #34297 [DI] fix locators with numeric keys (nicolas-grekas)
 * bug #34282 [DI] Dont cache classes with missing parents (nicolas-grekas)
 * bug #34287 [HttpClient] Fix a crash when calling CurlHttpClient::__destruct() (dunglas)
 * bug #34129 [FrameworkBundle][Translation] Invalidate cached catalogues when the scanned directories change (fancyweb)
 * bug #34246 [Serializer] Use context to compute MetadataAwareNameConverter cache (antograssiot)
 * bug #34251 [HttpClient] expose only gzip when doing transparent compression (nicolas-grekas)
 * bug #34244 [Inflector] add support for 'species' (jeffreymoelands)
 * bug #34085 [Console] Detect dimensions using mode CON if vt100 is supported (rtek)
 * bug #34199 [HttpClient] Retry safe requests using HTTP/1.1 when HTTP/2 fails (nicolas-grekas)
 * bug #34192 [Routing] Fix URL generator instantiation (X-Coder264, HypeMC)
 * bug #34134 [Messenger] fix retry of messages losing the routing key and properties (Tobion)
 * bug #34181 [Stopwatch] Fixed bug in getDuration when counting multiple ongoing periods (TimoBakx)
 * bug #34165 [PropertyInfo] Fixed type extraction for nullable collections of non-nullable elements (happyproff)
 * bug #34179 [Stopwatch] Fixed a bug in StopwatchEvent::getStartTime (TimoBakx)
 * bug #34203 [FrameworkBundle] [HttpKernel] fixed correct EOL and EOM month (erics86)
 * bug #34035 [Serializer] Fix property name usage for denormalization (antograssiot)

* 4.3.6 (2019-11-01)

 * bug #34198 [HttpClient] Fix perf issue when doing thousands of requests with curl (nicolas-grekas)
 * bug #33998 [Config] Disable default alphabet sorting in glob function due of unstable sort (hurricane-voronin)
 * bug #34144 [Serializer] Improve messages for unexpected resources values (fancyweb)
 * bug #34186 [HttpClient] always return the empty string when the response cannot have a body (nicolas-grekas)
 * bug #34167 [HttpFoundation] Allow to not pass a parameter to Request::isMethodSafe() (dunglas)
 * bug #33828 [DoctrineBridge] Auto-validation must work if no regex are passed (dunglas)
 * bug #34080 [SecurityBundle] correct types for default arguments for firewall configs (shieldo)
 * bug #34152 [Workflow] Made the configuration more robust for the 'property' key (lyrixx)
 * bug #34154 [HttpClient] fix handling of 3xx with no Location header - ignore Content-Length when no body is expected (nicolas-grekas)
 * bug #34140 [Security/Core] make NativePasswordEncoder use sodium to validate passwords when possible (nicolas-grekas)
 * bug #33999 [Form] Make sure to collect child forms created on *_SET_DATA events (yceruto)
 * bug #34090 [WebProfilerBundle] Improve display in Email panel for dark theme (antograssiot)
 * bug #34116 [HttpClient] ignore the body of responses to HEAD requests (nicolas-grekas)
 * bug #32456 [Messenger] use database platform to convert correctly the DateTime (roukmoute)
 * bug #34107 [Messenger] prevent infinite redelivery loops and blocked queues (Tobion)
 * bug #32341 [Messenger] Show exceptions after multiple retries (TimoBakx)
 * bug #34082 Revert "[Messenger] Fix exception message of failed message is dropped (Tobion)
 * bug #34021 [TwigBridge] do not render errors for checkboxes twice (xabbuh)
 * bug #34017 [Messenger] Fix ignored options in redis transport (chalasr)
 * bug #34041 [HttpKernel] fix wrong removal of the just generated container dir (nicolas-grekas)
 * bug #34024 [Routing] fix route loading with wildcard, but dir or file is empty (gseidel)
 * bug #34023 [Dotenv] allow LF in single-quoted strings (nicolas-grekas)
 * bug #33818 [Yaml] Throw exception for tagged invalid inline elements (gharlan)
 * bug #33994 [Mailer] Fix Mandrill Transport API payload for named addresses (Michaël Perrin)
 * bug #33985 [HttpClient] workaround curl_multi_select() issue (nicolas-grekas)
 * bug #33948 [PropertyInfo] Respect property name case when guessing from public method name (antograssiot)
 * bug #33962 [Cache] fixed TagAwareAdapter returning invalid cache (v-m-i)
 * bug #33958 [DI] Add extra type check to php dumper (gquemener)
 * bug #33965 [HttpFoundation] Add plus character `+` to legal mime subtype (ilzrv)
 * bug #32943 [Dotenv] search variable values in ENV first then env file (soufianZantar)
 * bug #33943 [VarDumper] fix resetting the "bold" state in CliDumper (nicolas-grekas)
 * bug #33936 [HttpClient] Missing argument in method_exists (detinkin)
 * bug #33937 [Cache] ignore unserialization failures in AbstractTagAwareAdapter::doDelete() (nicolas-grekas)
 * bug #33935 [HttpClient] send `Accept: */*` by default, fix removing it when needed (nicolas-grekas)
 * bug #33922 [Cache] remove implicit dependency on symfony/filesystem (nicolas-grekas)
 * bug #33927 Allow to set SameSite config to 'none' (ihmels)
 * bug #33930 [Cache] clean tags folder on invalidation (nicolas-grekas)
 * bug #33919 [VarDumper] fix array key error for class SymfonyCaster (zcodes)
 * bug #33885 [Form][DateTimeImmutableToDateTimeTransformer] Preserve microseconds and use \DateTime::createFromImmutable() when available (fancyweb)
 * bug #33900 [HttpKernel] Fix to populate $dotenvVars in data collector when not using putenv() (mynameisbogdan)

* 4.3.5 (2019-10-07)

 * bug #33742 [Crawler] document $default as string|null (nicolas-grekas)
 * bug #32308 [Messenger] DoctrineTransport: ensure auto setup is only done once (bendavies)
 * bug #33871 [HttpClient] bugfix exploding values of headers (michaljusiega)
 * bug #33834 [Validator] Fix ValidValidator group cascading usage (fancyweb)
 * bug #33863 [Routing] gracefully handle docref_root ini setting (nicolas-grekas)
 * bug #33846 [Cache] give 100ms before starting the expiration countdown (nicolas-grekas)
 * bug #33853 [HttpClient] fix "no_proxy" option ignored in NativeHttpClient (Harry-Dunne)
 * bug #33841 [VarDumper] fix dumping uninitialized SplFileInfo (nicolas-grekas)
 * bug #33842 [Cache] fix logger usage in CacheTrait::doGet() (nicolas-grekas)
 * bug #33835 [Workflow] Fixed BC break on WorkflowInterface (lyrixx)
 * bug #33799 [Security]: Don't let falsy usernames slip through impersonation (j4nr6n)
 * bug #33814 [HttpFoundation] Check if data passed to SessionBagProxy::initialize is an array (mynameisbogdan)
 * bug #33744 [DI] Add CSV env var processor tests / support PHP 7.4 (ro0NL)
 * bug #33805 [FrameworkBundle] Fix wrong returned status code in ConfigDebugCommand (jschaedl)
 * bug #33781 [AnnotationCacheWarmer] add RedirectController to annotation cache (jenschude)
 * bug #33777 Fix the :only-of-type pseudo class selector (jakzal)
 * bug #32051 [Serializer] Add CsvEncoder tests for PHP 7.4 (ro0NL)
 * feature #33776 Copy phpunit.xsd to a predictable path (julienfalque)
 * bug #33759 [Security/Http] fix parsing X509 emailAddress (nicolas-grekas)
 * bug #33733 [Serializer] fix denormalization of string-arrays with only one element (mkrauser)
 * bug #33754 [Cache] fix known tag versions ttl check (SwenVanZanten)
 * bug #33646 [HttpFoundation] allow additinal characters in not raw cookies (marie)
 * bug #33748 [Console] Do not include hidden commands in suggested alternatives (m-vo)
 * bug #33625 [DependencyInjection] Fix wrong exception when service is synthetic (k0d3r1s)
 * bug #32979 [Messenger] return empty envelopes when RetryableException occurs (surikman)
 * bug #32522 [Validator] Accept underscores in the URL validator, as the URL will load (battye)
 * bug #32437 Fix toolbar load when GET params are present in "_wdt" route (Molkobain)
 * bug #32925 [Translation] Collect original locale in case of fallback translation (digilist)
 * bug #33691 [HttpClient] fix race condition when reading response with informational status (nicolas-grekas)
 * bug #33727 [HttpClient] workaround bad Content-Length sent by old libcurl (nicolas-grekas)
 * bug #31198 [FrameworkBundle] Fix framework bundle lock configuration not working as expected (HypeMC)
 * bug #33719 [Cache] dont override native Memcached options (nicolas-grekas)
 * bug #33703 [Cache] fail gracefully when locking is not supported (nicolas-grekas)
 * bug #33713 Fix exceptions (PDOException) error code type (fruty)
 * bug #32335 [Form] Names for buttons should start with lowercase (mcfedr)
 * bug #33706 [Mailer][Messenger] ensure legacy event dispatcher compatibility (xabbuh)
 * bug #33688 Add missing row_attr option to FormType (mcsky)
 * bug #33693 [Security] use LegacyEventDispatcherProxy (dmaicher)
 * bug #33675 [PhpUnit] Fix usleep mock return value (fabpot)
 * bug #33652 [Cache] skip igbinary on PHP 7.4.0 (nicolas-grekas)
 * bug #33643 [HttpClient] fix throwing HTTP exceptions when the 1st chunk is emitted (nicolas-grekas)
 * bug #33618 fix tests depending on other components' tests (xabbuh)
 * bug #33626 [PropertyInfo] ensure compatibility with type resolver 0.5 (xabbuh)
 * bug #33620 [Twig] Fix Twig config extra keys (fabpot)
 * bug #33600 [Messenger] Fix exception message of failed message is dropped on retry (tienvx)
 * bug #33601 [HttpClient] Add default value for Accept header (numerogeek)
 * bug #33340 [Finder] Adjust regex to correctly match comments in gitignore contents (Jeroeny)
 * bug #33588 [PropertyInfo] ensure compatibility with type resolver 0.5 (xabbuh)
 * bug #33575 [WebProfilerBundle] Fix time panel legend buttons (fancyweb)
 * bug #33571 [Inflector] add support 'see' to 'ee' for singularize 'fees' to 'fee' (maxhelias)
 * bug #32763 [Console] Get dimensions from stty on windows if possible (rtek)
 * bug #33570 Fixed cache pools affecting each other due to an overwritten seed variable (roed)
 * bug #33517 [Yaml] properly catch legacy tag syntax usages (xabbuh)
 * bug #33546 [DependencyInjection] Accept existing interfaces as valid named args (fancyweb)
 * bug #33547 [HttpClient] Re-enable Server Push support  (dunglas)
 * bug #33521 Fixed incompatibility between ServiceSubscriberTrait and classes with protected $container property (a-menshchikov)
 * bug #33518 [Yaml] don't dump a scalar tag value on its own line (xabbuh)
 * bug #33505 [HttpClient] fallbackto CURLMOPT_MAXCONNECTS when CURLMOPT_MAX_HOST_CONNECTIONS is not available (nicolas-grekas)
 * bug #32818 [HttpKernel] Fix getFileLinkFormat() to avoid returning the wrong URL in Profiler (Arman-Hosseini)
 * bug #33487 [HttpKernel] Fix Apache mod_expires Session Cache-Control issue (pbowyer)
 * bug #33469 [FrameworkBundle] Fixed suggested package for missing server:dump command (lyrixx)
 * bug #31964 [Router] routing cache crash when using generator_class (dFayet)
 * bug #33481 [Messenger] fix empty amqp body returned as false (Tobion)
 * bug #33387 [Mailer] maintain sender/recipient name in SMTP envelopes (xabbuh)
 * bug #33449 Fix gmail relay (Beno!t POLASZEK)
 * bug #33391 [HttpClient] fix support for 103 Early Hints and other informational status codes (nicolas-grekas)
 * bug #33444 [HttpClient] improve handling of HTTP/2 PUSH, disable it by default (nicolas-grekas)
 * bug #33435 [Validator] Only handle numeric values in DivisibleBy (fancyweb)
 * bug #33437 Fix #33427 (sylfabre)
 * bug #33439 [Validator] Sync string to date behavior and throw a better exception (fancyweb)
 * bug #33436 [DI] fix support for "!tagged_locator foo" (nicolas-grekas)
 * bug #32903 [PHPUnit Bridge] Avoid registering listener twice (alexpott)
 * bug #33432 [Mailer] Fix Mailgun support when a response is not JSON as expected (fabpot)
 * bug #33402 [Finder] Prevent unintentional file locks in Windows  (jspringe)
 * bug #33376 [Mailer] Remove the default dispatcher in AbstractTransport (fabpot)
 * bug #33357 [FrameworkBundle] Fix about command not showing .env vars (brentybh)
 * bug #33396 Fix #33395 PHP 5.3 compatibility (kylekatarnls)
 * bug #33363 [Routing] fix static route reordering when a previous dynamic route conflicts (nicolas-grekas)
 * bug #33385 [Console] allow Command::getName() to return null (nicolas-grekas)
 * bug #33353 Return null as Expire header if it was set to null (danrot)
 * bug #33382 [ProxyManager] remove ProxiedMethodReturnExpression polyfill (nicolas-grekas)
 * bug #33377 [Yaml] fix dumping not inlined scalar tag values (xabbuh)

* 4.3.4 (2019-08-26)

 * bug #33335 [DependencyInjection] Fixed the `getServiceIds` implementation to always return aliases (pdommelen)
 * bug #33298 [Messenger] Stop worker when it should stop (tienvx)
 * bug #33292 [VarExporter] fix support for PHP 7.4 (nicolas-grekas)
 * bug #33282 [HttpKernel] Do not extend the new SF 4.3 ControllerEvent so we can make it final (Tobion)
 * bug #33278 [FrameworkBundle] Fix BrowserKit assertions to make them compatible with Panther (dunglas)
 * bug #33216 [Mime] Trim and remove line breaks from NamedAddress name arg (maldoinc)
 * bug #33124 [Config] Add handling for ignored keys in ArrayNode::mergeValues. (Alexandre Parent)
 * bug #33244 [Router] Fix TraceableUrlMatcher behaviour with trailing slash (Xavier Leune)
 * bug #33232 Fix handling for session parameters (vkhramtsov)
 * bug #32497 [Messenger] DispatchAfterCurrentBusMiddleware does not cancel messages from delayed handlers  (Nyholm, BastienClement)
 * bug #33127 [Messenger] make delay exchange and queues durable like the normal ones by default (Tobion)
 * bug #33210 [Mailer] Don't duplicate addresses in Sendgrid Transport (pierredup)
 * bug #33172 [Console] fixed a PHP notice when there is no function in the stack trace of an Exception (fabpot)
 * bug #33157 Fix getMaxFilesize() returning zero (ausi)
 * bug #33139 [Intl] Cleanup unused language aliases entry (ro0NL)
 * bug #33126 [SecurityBundle] display the correct class name on the deprecated notice (maxhelias)
 * bug #33093 [EventDispatcher] wrong Request class (maxhelias)
 * bug #33092 [DependencyInjection] Improve an exception message (fabpot)
 * bug #32541 [HttpKernel] trim the leading backslash in the controller init (Simperfit, fabpot)
 * bug #32455 [HttpFoundation] Clear invalid session cookie (Toflar)
 * bug #33066 [Serializer] Fix negative DateInterval (jderusse)
 * bug #33045 Make HttpClientTestCase compatible with PHPUnit8 (jderusse)
 * bug #33033 [Lock] consistently throw NotSupportException (xabbuh)
 * bug #33022 [HttpClient] Remove CURLOPT_CONNECTTIMEOUT_MS curl opt (lyrixx)
 * bug #32516 [FrameworkBundle][Config] Ignore exceptions thrown during reflection classes autoload (fancyweb)
 * bug #33010 [TwigBridge] pass translation parameters to the trans filter (xabbuh)
 * bug #32981 Fix tests/code for php 7.4 (jderusse)
 * bug #32986 [Mime] fixed wrong mimetype (rjwebdev)
 * bug #32992 [ProxyManagerBridge] Polyfill for unmaintained version (jderusse)
 * bug #32989 [HttpClient] Declare `$active` first to prevent weird issue (Kocal)
 * bug #32999 Added correct plural for box -> boxes (cinamo)
 * bug #32933 [PhpUnitBridge] fixed PHPUnit 8.3 compatibility: method handleError was renamed to __invoke (karser)
 * bug #32947 [Intl] Support DateTimeInterface in IntlDateFormatter::format (pierredup)
 * bug #32919 [Intl] Order alpha2 to alpha3 mapping + phpdoc fixes (ro0NL)
 * bug #32792 [Messenger] Fix incompatibility with FrameworkBundle <4.3.1 (chalasr)
 * bug #32836 [Messenger] Removed named parameters and replaced with `?` placeholders for sqlsrv compatibility (David Legatt)
 * bug #32838 [FrameworkBundle] Detect indirect env vars in routing (ro0NL)
 * bug #32918 [Intl] Order alpha2 to alpha3 mapping (ro0NL)
 * bug #32902 [PhpUnitBridge] Allow sutFqcnResolver to return array (VincentLanglet)
 * bug #32814 Create mailBody with only attachments part present (srsbiz)
 * bug #32682 [HttpFoundation] Revert getClientIp @return docblock (ossinkine)
 * bug #32910 [Yaml] PHP-8: Uncaught TypeError: abs() expects parameter 1 to be int or float, string given (Aleksandr Dankovtsev)
 * bug #32870 #32853 Check if $this->parameters is array. (ABGEO07)
 * bug #32899 [Mailer] fix wrong error message when connection closes unexpectedly (fabpot)
 * bug #32895 [Mailer] Fix error not being thrown properly (fabpot)
 * bug #32868 [PhpUnitBridge] Allow symfony/phpunit-bridge > 4.2 to be installed with phpunit 4.8 (jderusse)
 * bug #32823 [HttpClient] Preserve the case of headers when sending them (nicolas-grekas)
 * bug #32767 [Yaml] fix comment in multi line value (soufianZantar)
 * bug #32790 [HttpFoundation] Fix `getMaxFilesize` (bennyborn)
 * bug #32796 [Cache] fix warning on PHP 7.4 (jpauli)
 * bug #32806 [Console] fix warning on PHP 7.4 (rez1dent3)
 * bug #32809 Don't add object-value of static properties in the signature of container metadata-cache (arjenm)
 * bug #32708 Recompile container when translations directory changes (pierredup)
 * bug #32722 [DependencyInjection] Fix bindings and tagged_locator (deguif)
 * bug #32802 Make sure trace_level is always defined (dbu)
 * bug #30096 [DI] Fix dumping Doctrine-like service graphs (bis) (weaverryan, nicolas-grekas)
 * bug #32799 [HttpKernel] do not stopwatch sections when profiler is disabled (Tobion)
 * bug #32631 [Messenger] expire delay queue and fix auto_setup logic (Tobion)
 * bug #32641 [Messenger] Retrieve table default options from the SchemaManager (vincenttouzet)

* 4.3.3 (2019-07-28)

 * bug #32726 [Messenger] Fix redis last error not cleared between calls (chalasr)
 * bug #32760 [HttpKernel] clarify error handler restoring process (xabbuh)
 * bug #32730 [Inflector] Fix pluralizing words ending with "son" (norkunas)
 * bug #32715 [DI] fix perf issue with lazy autowire error messages (nicolas-grekas)
 * bug #32503 Fix multiSelect ChoiceQuestion when answers have spaces (IceMaD)
 * bug #32688 [Yaml] fix inline handling when dumping tagged values (xabbuh)
 * bug #32710 [Security/Core] align defaults for sodium with PHP 7.4 (nicolas-grekas)
 * bug #32644 [WebProfileBundle] Avoid getting right to left style (Arman-Hosseini)
 * bug #32689 [HttpClient] rewind stream when using Psr18Client (nicolas-grekas)
 * bug #32700 [Messenger] Flatten collection of stamps collected by the traceable middleware (ogizanagi)
 * bug #32699 [HttpClient] fix canceling responses in a streaming loop (nicolas-grekas)
 * bug #32679 [Intl] relax some date parser patterns (xabbuh)
 * bug #31303 [VarDumper] Use \ReflectionReference for determining if a key is a reference (php >= 7.4) (dorumd, nicolas-grekas)
 * bug #32485 [Validator] Added support for validation of giga values (kernig)
 * bug #32567 [Messenger] pass transport name to factory (Tobion)
 * bug #32568 [Messenger] Fix UnrecoverableExceptionInterface handling (LanaiGrunt)
 * bug #32604 Properly handle optional tag attributes for !tagged_iterator (apfelbox)
 * bug #32571 [HttpClient] fix debug output added to stderr at shutdown (nicolas-grekas)
 * bug #32443 [PHPUnitBridge] Mute deprecations triggered from phpunit (greg0ire)
 * bug #32572 Bump minimum version of symfony/phpunit-bridge (fancyweb)
 * bug #32438 [Serializer] XmlEncoder: don't cast padded strings (ogizanagi)
 * bug #32579 [Config] Do not use absolute path when computing the vendor freshness (lyrixx)
 * bug #32563 Container*::getServiceIds() should return strings (mathroc)
 * bug #32553 [Mailer] Allow register mailer configuration in xml format (Koc)
 * bug #32442 Adding missing event_dispatcher wiring for messenger.middleware.send_message (weaverryan)
 * bug #32466 [Config] Fix for signatures of typed properties (tvandervorm)
 * bug #32501 [FrameworkBundle] Fix descriptor of routes described as callable array (ribeiropaulor)
 * bug #32500 [Debug][DebugClassLoader] Include found files instead of requiring them (fancyweb)
 * bug #32464 [WebProfilerBundle] Fix Twig 1.x compatibility (yceruto)
 * bug #31620 [FrameworkBundle] Inform the user when save_path will be ignored (gnat42)
 * bug #32096 Don't assume port 0 for X-Forwarded-Port (alexbowers, xabbuh)
 * bug #31820 [SecurityBundle] Fix profiler dump for non-invokable security listeners (chalasr)
 * bug #32392 [Messenger] Doctrine Transport: Support setting auto_setup from DSN (bendavies)
 * bug #31267 [Translator] Load plurals from mo files properly (Stadly)
 * bug #31266 [Translator] Load plurals from po files properly (Stadly)
 * bug #32383 [Serializer] AbstractObjectNormalizer ignores the property types of discriminated classes (sandergo90)
 * bug #32413 [Messenger] fix publishing headers set on AmqpStamp (Tobion)
 * bug #32421 [EventDispatcher] Add tag kernel.rest on 'debug.event_dispatcher' service (lyrixx)
 * bug #32398 [Messenger] Removes deprecated call to ReflectionType::__toString() on MessengerPass (brunowowk)
 * bug #32379 [SecurityBundle] conditionally register services (xabbuh)
 * bug #32380 [Messenger] fix broken key normalization (Tobion)
 * bug #32363 [FrameworkBundle] reset cache pools between requests (nicolas-grekas)
 * bug #32365 [DI] fix processing of regular parameter bags by MergeExtensionConfigurationPass (nicolas-grekas)
 * bug #32187 [PHPUnit] Fixed composer error on Windows (misterx)
 * bug #32299 [Lock] Stores must implement `putOffExpiration` (jderusse)
 * bug #32302 [Mime] Remove @internal annotations for the serialize methods (francoispluchino)
 * bug #32334 [Messenger] Fix authentication for redis transport (alexander-schranz)
 * bug #32309 Fixing validation for messenger transports retry_strategy service key (weaverryan)
 * bug #32331 [Workflow] only decorate when an event dispatcher was passed (xabbuh)
 * bug #32236 [Cache] work aroung PHP memory leak (nicolas-grekas)
 * bug #32206 Catch JsonException and rethrow in JsonEncode (phil-davis)
 * bug #32211 [Mailer] Fix error message when connecting to a stream raises an error before connect() (fabpot)
 * bug #32210 [Mailer] Fix timeout type hint (fabpot)
 * bug #32199 [EventDispatcher] improve error messages in the event dispatcher (xabbuh)
 * bug #32200 [Security/Core] work around sodium_compat issue (nicolas-grekas)

* 4.3.2 (2019-06-26)

 * bug #31954 [PhpunitBridge] Read environment variable from superglobals (greg0ire)
 * bug #32131 [Mailgun Mailer] fixed issue when using html body (alOneh)
 * bug #31730 [PhpUnitBridge] More accurate grouping (greg0ire)
 * bug #31966 [Messenger] Doctrine Connection find and findAll now correctly decode headers (TimoBakx)
 * bug #31972 Add missing rendering of form help block. (alexsegura)
 * bug #32141 [HttpClient] fix dealing with 1xx informational responses (nicolas-grekas)
 * bug #32138 [Filesystem] fix mirroring directory into parent directory (xabbuh)
 * bug #32137 [HttpFoundation] fix accessing session bags (xabbuh)
 * bug #32147 [HttpClient] fix timing measurements with NativeHttpClient (nicolas-grekas)
 * bug #32165 revert #30525 due to performance penalty (bendavies)
 * bug #32164 [EventDispatcher] collect called listeners information only once (xabbuh)
 * bug #32173 [FrameworkBundle] Fix calling Client::getProfile() before sending a request (dunglas)
 * bug #32163 [DoctrineBridge] Fix type error (norkunas)
 * bug #32154 [Messenger] fix retrying handlers using DoctrineTransactionMiddleware (Tobion)
 * bug #32169 [Security/Core] require libsodium >= 1.0.14 (nicolas-grekas)
 * bug #32170 [Security/Core] Don't use ParagonIE_Sodium_Compat (nicolas-grekas)
 * bug #32156 [Workflow] re-add workflow.definition tag to workflow services (nikossvnk)
 * bug #32053 [Messenger] No need for retry to require SentStamp (Tobion)
 * bug #32083 [HttpClient] fixing passing debug info to progress callback (nicolas-grekas)
 * bug #32129 [DebugBundle] fix register ReflectionCaster::unsetClosureFileInfo caster in var cloner service (alekitto)
 * bug #32027 [Messenger] Remove DispatchAfterCurrentBusStamp when message is put on internal queue (Nyholm)
 * bug #32125 [Form] accept floats for input="string" in NumberType (xabbuh)
 * bug #32094 [Validator] Use LogicException for missing Property Access Component in comparison constraints (Lctrs)
 * bug #32136 [FrameworkBundle] sync `require-dev` and `conflict` constraints (xabbuh)
 * bug #32123 [Form] fix translation domain (xabbuh)
 * bug #32115 [SecurityBundle] don't validate IP addresses from env var placeholders (xabbuh)
 * bug #32116 [FrameworkBundle] tag the FileType service as a form type (xabbuh)
 * bug #32109 [Messenger] fix delay exchange recreation after disconnect (Tobion)
 * bug #32090 [Debug] workaround BC break in PHP 7.3 (nicolas-grekas)
 * bug #32076 [Lock] Fix PDO prune not called (jderusse)
 * bug #32071 Fix expired lock not cleaned (jderusse)
 * bug #32052 [Messenger] fix AMQP delay queue to be per exchange (Tobion)
 * bug #32065 [HttpClient] throw DecodingExceptionInterface when toArray() fails because of content-type error (nicolas-grekas)
 * bug #32057 [HttpFoundation] Fix SA/phpdoc JsonResponse (ro0NL)
 * bug #32040 [DI] Show the right class autowired when providing a non-existing class (Simperfit)
 * bug #32035 [Messenger] fix delay delivery for non-fanout exchanges (Tobion)
 * bug #32025 SimpleCacheAdapter fails to cache any item if a namespace is used (moufmouf)
 * bug #32022 [HttpClient] Don't use CurlHttpClient on Windows when curl.cainfo is not set (nicolas-grekas)
 * bug #32037 [Form] validate composite constraints in all groups (xabbuh)
 * bug #32007 [Serializer] Handle true and false appropriately in CSV encoder (battye)
 * bug #32036 [Messenger] improve logs (Tobion)
 * bug #31998 Parameterize Mailgun's region (jderusse)
 * bug #32000 [Routing] fix absolute url generation when scheme is not known (Tobion)
 * bug #32012 Add statement to fileLink to ignore href code when no fileLink. (bmxmale)
 * bug #32024 [VarDumper] fix dumping objects that implement __debugInfo() (nicolas-grekas)
 * bug #32014 Do not log or call the proxy function when the locale is the same (gmponos)
 * bug #32011 [HttpClient] fix closing debug stream prematurely (nicolas-grekas)
 * bug #32017 [Contracts] add missing required dependencies (mbessolov)
 * bug #31992 Fix sender/recipients in SMTP Envelope (fabpot)
 * bug #31999 [PhpunitBridge] Restore php 5.5 compat (greg0ire)
 * bug #31991 [EventDispatcher] collect called listeners information only once (xabbuh)
 * bug #31988 [TwigBridge] add back possibility to use form themes without translations (xabbuh)
 * bug #31982 [HttpClient] fix Psr18Client handling of non-200 response codes (nicolas-grekas)
 * bug #31953 [DoctrineBridge] fix handling nested embeddables (xabbuh)
 * bug #31962 Fix reporting unsilenced deprecations from insulated tests (nicolas-grekas)
 * bug #31936 PropertyInfoLoader should not try to add validation to non-existent property (weaverryan)
 * bug #31923 [Serializer] Fix DataUriNormalizer deprecation (MIME type guesser is optional) (ogizanagi)
 * bug #31928 [FrameworkBundle] avoid service id conflicts with Swiftmailer (xabbuh)
 * bug #31925 [Form] fix usage of legacy TranslatorInterface (nicolas-grekas)
 * bug #31908 [Validator] fix deprecation layer of ValidatorBuilder (nicolas-grekas)

* 4.3.1 (2019-06-06)

 * bug #31894 Fix wrong requirements for ocramius/proxy-manager in root composer.json (henrikvolmer)
 * bug #31865 [Form] Fix wrong DateTime on outdated ICU library (aweelex)
 * bug #31893 [HttpKernel] fix link to source generation (nicolas-grekas)
 * bug #31880 [FrameworkBundle] fix BC-breaking property in WebTestAssertionsTrait (nicolas-grekas)
 * bug #31881 [FramworkBundle][HttpKernel] fix KernelBrowser BC layer (nicolas-grekas)
 * bug #31879 [Cache] Pass  arg to get callback everywhere (fancyweb)
 * bug #31874 [Doctrine Bridge] Check field type before adding Length constraint (belinde)
 * bug #31872 [Messenger] Add missing runtime check for ext redis version (chalasr)
 * bug #31864 [Cache] Fixed undefined variable in ArrayTrait (eXtreme)
 * bug #31863 [HttpFoundation] Fixed case-sensitive handling of cache-control header in RedirectResponse constructor (Ivo)
 * bug #31850 [HttpClient] add $response->cancel() (nicolas-grekas)
 * bug #31871 [HttpClient] revert bad logic around JSON_THROW_ON_ERROR (nicolas-grekas)
 * bug #31869 Fix json-encoding when JSON_THROW_ON_ERROR is used (nicolas-grekas)
 * bug #31868 [HttpKernel] Fix handling non-catchable fatal errors (nicolas-grekas)
 * bug #31834 [HttpClient] Don't throw InvalidArgumentException on bad Location header (nicolas-grekas)
 * bug #31846 [Mailer] Set default crypto method (bpolaszek)
 * bug #31849 [Console] Add check for Konsole/Yakuake to disable hyperlinks (belinde)
 * bug #31854 Rename the Symfony Mailer service implementation to avoid conflict with SwitMailer (tgalopin)
 * bug #31856 [VarDumper] fix dumping the cloner itself (nicolas-grekas)
 * bug #31861 [HttpClient] work around PHP 7.3 bug related to json_encode() (nicolas-grekas)
 * bug #31860 [HttpFoundation] work around PHP 7.3 bug related to json_encode() (nicolas-grekas)
 * bug #31852 [Form] add missing symfony/service-contracts dependency (nicolas-grekas)
 * bug #31836 [DoctrineBridge] do not process private properties from parent class (xabbuh)
 * bug #31790 [Messenger] set amqp content_type based on serialization format (Tobion)
 * bug #31832 [HttpClient] fix unregistering the debug buffer when using curl (nicolas-grekas)
 * bug #31407 [Security] added support for updated "distinguished name" format in x509 authentication (Robert Kopera)
 * bug #31774 [Mailer] Fix the possibility to set a From header from MessageListener (fabpot)
 * bug #31811 [DoctrineBridge] don't add embedded properties to wrapping class metadata (xabbuh)
 * bug #31786 [Translation] Fixed case sensitivity of lint:xliff command (javiereguiluz)
 * bug #31815 [Translator] Collect locale details earlier in the process (pierredup)
 * bug #31761 [TwigBridge] suggest Translation Component when TranslationExtension is used (nicolas-grekas)
 * bug #31748 [Messenger] Inject RoutableMessageBus instead of bus locator (chalasr)
 * bug #31763 [Security\Core] Make SodiumPasswordEncoder validate BCrypt-ed passwords (nicolas-grekas)
 * bug #31744 [Validator] Fix TimezoneValidator default option (ro0NL)
 * bug #31749 [DoctrineBridge][Validator] do not enable validator auto mapping by default (xabbuh)
 * bug #31757 [DomCrawler] Fix type error with null Form::$currentUri (chalasr)
 * bug #31721 [PHPUnitBridge] Use a more appropriate group when deprecating mode (greg0ire)

* 4.3.0 (2019-05-30)

 * bug #31654 [HttpFoundation] Do not set X-Accel-Redirect for paths outside of X-Accel-Mapping (vilius-g)

* 4.3.0-RC1 (2019-05-28)

 * bug #31650 Create an abstract HTTP transport and extend it in all HTTP transports (bocharsky-bw)
 * feature #31641 [HttpClient] make $response->getInfo('debug') return extended logs about the HTTP transaction (nicolas-grekas)
 * feature #31571 [Contracts] split in one package per sub-contracts (nicolas-grekas)
 * bug #31625 [Messenger] Disable the SchemaAssetsFilter when setup the transport (vincenttouzet)
 * bug #31621 [Messenger] Fix missing auto_setup for RedisTransport (chalasr)
 * bug #31584 [Workflow] Do not trigger extra guards (lyrixx)
 * bug #31632 [Messenger] Use "real" memory usage to honor --memory-limit (chalasr)
 * bug #31610 [HttpClient] fix handling exceptions thrown before first mock chunk (nicolas-grekas)
 * bug #31615 Allow WrappedListener to describe uncallable listeners (derrabus)
 * bug #31599 [Translation] Fixed issue with new vs old TranslatorInterface in TranslationDataCollector (althaus)
 * bug #31565 [Mime][HttpFoundation] Added mime type audio/x-hx-aac-adts (ifaridjalilov)
 * bug #31591 [FrameworkBundle] fix named autowiring aliases for TagAwareCacheInterface (nicolas-grekas)
 * bug #31590 [Cache] improve logged messages (nicolas-grekas)
 * bug #31586 [HttpClient] display proper error message on TransportException when curl is used (nicolas-grekas)
 * bug #31349 [WebProfilerBundle] Use absolute URL for profiler links (Alumbrados)
 * bug #31541 [DI] fix using bindings with locators of service subscribers (nicolas-grekas)
 * bug #31568 [Process] Fix infinite waiting for stopped process (mshavliuk)

* 4.3.0-BETA2 (2019-05-22)

 * bug #31569 [HttpClient] Only use CURLMOPT_MAX_HOST_CONNECTIONS & CURL_VERSION_HTTP2 if defined (GawainLynch)
 * bug #31566 [Security] fixed a fatal error when upgrading from 4.2 (fabpot)
 * bug #31219 [HttpClient] Allow arrays as query parameters (sleepyboy)
 * bug #31482 [Messenger][DoctrineBridge] Throws UnrecoverableMessageHandlingException when passed invalid entity manager name (Koc)
 * feature #31471 [Messenger] Add "non sendable" stamps (weaverryan)
 * bug #31545 [Messenger] Fix redis Connection::get() should be non blocking by default (chalasr)
 * bug #31537 [Workflow] use method marking store (noniagriconomie)
 * bug #31551 [ProxyManager] isProxyCandidate() does not take into account interfaces (andrerom)
 * bug #31542 [HttpClient] add missing argument check (nicolas-grekas)
 * bug #31544 [Messenger] Fix undefined index on read timeout (chalasr)
 * bug #31335 [Doctrine] Respect parent class contract in ContainerAwareEventManager (Koc)
 * bug #31421 [Routing][AnnotationClassLoader] fix utf-8 encoding in default route name (przemyslaw-bogusz)
 * bug #31493 [EventDispatcher] Removed "callable" type hint from WrappedListener constructor (wskorodecki)
 * bug #31502 [WebProfilerBundle][Form] The form data collector return serialized data (Simperfit)
 * bug #31510 Use the current working dir as default first arg in 'link' binary (lyrixx)
 * bug #31524 [HttpFoundation] prevent deprecation when filesize matches error code (xabbuh)
 * bug #31535 [Debug] Wrap call to require_once in a try/catch (lyrixx)
 * feature #31030 [Serializer] Deprecate calling createChildContext without the format parameter (dbu)
 * bug #31459 Fix the interface incompatibility of EventDispatchers (keulinho)
 * bug #31463 [DI] default to service id - *not* FQCN - when building tagged locators (nicolas-grekas)
 * feature #31294 [Form] Add intl/choice_translation_locale option to TimezoneType (ro0NL)
 * feature #31452 [FrameworkBundle] Add cache configuration for PropertyInfo (alanpoulain)
 * feature #31486 [Doctrine][PropertyInfo] Detect if the ID is writeable (dunglas)
 * bug #31481 [Validator] Autovalidation: skip readonly props (dunglas)
 * bug #31480 Update dependencies in the main component (DavidPrevot)
 * bug #31477 [PropertyAccess] Add missing property to PropertyAccessor (vudaltsov)
 * bug #31479 [Cache] fix saving unrelated keys in recursive callback calls (nicolas-grekas)
 * bug #30930 [FrameworkBundle] Fixed issue when a parameter contains a '' (lyrixx)
 * bug #31438 [Serializer] Fix denormalization of object with variadic constructor typed argument  (ajgarlag)
 * bug #31445 [Messenger] Making cache rebuild correctly when message subscribers change (weaverryan)
 * bug #31442 [Validator] Fix finding translator parent definition in compiler pass (deguif)
 * bug #31475 [HttpFoundation] Allow set 'None' on samesite cookie flag (markitosgv)
 * feature #31454 [Messenger] remove send_and_handle which can be achieved with SyncTransport (Tobion)
 * bug #31425 [Messenger] On failure retry, make message appear received from original sender (weaverryan)
 * bug #31472 [Messenger] Fix routable message bus default bus (weaverryan)
 * bug #31465 [Serializer] Fix BC break: DEPTH_KEY_PATTERN must be public (dunglas)
 * bug #31458 [TwigBundle] Fix Mailer integration in Twig (fabpot)
 * bug #31456 Remove deprecated usage of some Twig features (fabpot)
 * bug #31207 [Routing] Fixed unexpected 404 NoConfigurationException (yceruto)
 * bug #31261 [Console] Commands with an alias should not be recognized as ambiguous when using register (Simperfit)
 * bug #31371 [DI] Removes number of elements information in debug mode (jschaedl)
 * bug #31418 [FrameworkBundle] clarify the possible class/interface of the cache (xabbuh)

* 4.3.0-BETA1 (2019-05-09)

 * feature #31249 [Translator] Set sources when extracting strings from php files (Stadly)
 * feature #31365 [Intl] Made countries ISO 3166 compliant + exclude Zzzz script code (ro0NL)
 * feature #31060 [Validator] Make API endpoint for NotCompromisedPasswordValidator configurable (xelan)
 * feature #31353 [FrameworkBundle] Show injected services for iterator and array arguments (jschaedl)
 * feature #31350 [Intl] Rename Regions to Countries (ro0NL)
 * feature #31364 [Bridge/PhpUnit] Extract all the code but shebang from bin/simple-phpunit (JustBlackBird)
 * feature #30985 [Form] Keep preferred choices order in ChoiceType (vudaltsov)
 * feature #31288 [Messenger] RoutableMessageBus route to default bus (dirk39)
 * feature #31292 [Validator] Allow intl timezones (ro0NL)
 * feature #30970 [Messenger] Adding failure transport support (weaverryan)
 * feature #31318 [Intl] Compile localized timezone offset name (ro0NL)
 * feature #31248 [Translator] Add sources when dumping qt files (Stadly)
 * feature #31280 [WebServerBundle] Change the default pidfile location to cache directory (jschaedl)
 * feature #31293 [Form] Remove default option grouping in TimezoneType (ro0NL)
 * feature #31262 [Intl] Update timezones to ICU 64.2 + compile zone to country mapping (ro0NL)
 * feature #31295 [Intl] Add timezone offset utilities (ro0NL)
 * feature #30958 [Messenger] Allows to register handlers on a specific transport (sroze)
 * feature #31061 [BridgeDoctrineMessenger] Doctrine ping connection middleware (insidestyles)
 * feature #31282 [Messenger] Add WorkerStoppedEvent (chalasr)
 * feature #31138 [Security] Dispatch an event when "logout user on change" steps in (Simperfit)
 * feature #31242 Update LoggingTranslator to log the change of a locale (gmponos)
 * feature #30917 [Messenger] Add a redis stream transport (soyuka, alexander-schranz)
 * feature #31195 [Form] Add intltimezone input to TimezoneType (ro0NL)
 * feature #31134 [Routing] do not encode comma in query and fragment (Tobion)
 * feature #31220 [TwigBridge] bootstrap4 file_widget: allow setting label attributes declared in label_attr (AngelFQC)
 * feature #31204 [Messenger] ease testing and allow forking the middleware stack (nicolas-grekas)
 * feature #30370 [Cache] Add optimized FileSystem & Redis TagAware Adapters (andrerom)
 * feature #28831 [Intl] Add Timezones (ro0NL)
 * feature #31170 [Security] deprecate BCryptPasswordEncoder in favor of NativePasswordEncoder (nicolas-grekas)
 * feature #31140 [Security] Add NativePasswordEncoder (nicolas-grekas)
 * feature #31130 [VarDumper] add caster for WeakReference instances of PHP 7.4 (nicolas-grekas)
 * feature #31082 [Form] Show all option normalizers on debug:form command (yceruto)
 * feature #30957 [Messenger] Remove base64_encode & use addslashes (weaverryan)
 * feature #30717 [Serializer] Use name converter when normalizing constraint violation list (norkunas)
 * feature #28846 [Intl] Simplify API (ro0NL)
 * feature #31093 [PhpUnitBridge] ClockMock does not mock gmdate() (Simperfit)
 * feature #29211 [PhpUnitBridge] Url encoded deprecations helper config (greg0ire)
 * feature #31062 [Dotenv] Deprecate useage of "putenv" (Nyholm)
 * feature #31021 [Cache] Added command for list all available cache pools (Nyholm)
 * feature #31027 [Config] Deprecate TreeBuilder::root (gharlan)
 * feature #31019 [Security] Replace Argon2*PasswordEncoder by SodiumPasswordEncoder (chalasr)
 * feature #30997 [Console] Add callback support to Console\Question autocompleter (Mikkel Paulson)
 * feature #30959 [FrameworkBundle] [TwigBundle] Move the hinclude key away from templating (Simperfit)
 * feature #30968 [Security] Add Argon2idPasswordEncoder (chalasr)
 * feature #30963 [Serializer] Experimental for ObjectListExtractor (joelwurtz)
 * feature #30933 [Routing][ObjectRouteLoader] Allow invokable route loader services (fancyweb)
 * feature #30897 [DIC] Add a `require` env var processor (mpdude)
 * feature #30964 [HttpKernel] Add a "short" trace header format, make header configurable (mpdude)
 * feature #29935 [DI] Fix bad error message for unused bind under _defaults (przemyslaw-bogusz)
 * feature #30962 [DoctrineBridge] Deprecated implicit optimization in DoctrineChoiceLoader (HeahDude)
 * feature #30862 [Routing] UrlHelper to get absolute URL for a path (vudaltsov)
 * feature #30607 [Serializer] Add Support of recursive denormalization on object_to_populate (jewome62)
 * feature #30429 [Form]  group_by as callback returns array (antonch1989)
 * feature #30887 [FrameworkBundle] fix search in debug autowiring (sez-open)
 * feature #30935 Use env variable to create anytype of lock store (jderusse)
 * feature #30932 [Validator] Add an option to disable NotCompromisedPasswordValidator (lyrixx)
 * feature #30909 [Translator] Add comments when dumping po files (deguif)
 * feature #30913 [Messenger] Uses an `AmqpStamp` to provide flags and attributes (sroze)
 * feature #30900 [Validator] add new `Timezone` validation constraint (phansys)
 * feature #30915 [Serializer] Add datetimezone normalizer (jewome62)
 * feature #28937 Improve Translator caching  (rpkamp)
 * feature #30904 [Serializer] provide new ObjectPropertyListExtractorInterface (dmaicher)
 * feature #30902 [Workflow] The TransitionEvent is able to modify the context (lyrixx)
 * feature #30908 [Workflow] Added workflow_transition_blockers twig function (lyrixx)
 * feature #30893 Add "input" option to NumberType (fancyweb, Bernhard Schussek)
 * feature #30898 [Validator] Wire NotCompromisedPassword in FrameworkBundle and handle non UTF-8 password (tgalopin)
 * feature #30890 [Workflow] Changed initial_places to initial_marking, added property (HeahDude, lyrixx)
 * feature #30906 [symfony/HttpKernel] Throws an error when the generated class name is invalid. (drupol)
 * feature #30892 [DomCrawler] Improve Crawler HTML5 parser need detection (tgalopin)
 * feature #30901 Renamed NotPwned to NotCompromisedPassword (javiereguiluz)
 * feature #30020 [Messenger] Ensure message is handled only once per handler (keulinho, sroze)
 * feature #30545 #30536 PropertyAccessor->getValue disable exception (dimabory)
 * feature #30008 [messenger] Adds a stamp to provide a routing key on message publishing (G15N, sroze)
 * feature #29097 [Messenger] Add a "in-memory://" transport (GaryPEGEOT, sroze)
 * feature #30537 [HttpClient] logger integration (antonch1989, nicolas-grekas)
 * feature #30853 [Twig] Remove TemplatedEmail::template() (fabpot)
 * feature #30757 [Messenger] Adding MessageCountAwareInterface to get transport message count (weaverryan)
 * feature #28929 [HttpKernel][Framework] Locale aware services (neghmurken)
 * feature #29306 [DomCrawler] Optionally use html5-php to parse HTML (tgalopin)
 * feature #30255 [DependencyInjection] Invokable Factory Services (zanbaldwin)
 * feature #30843 [HttpClient] Add ScopingHttpClient::forBaseUri() + tweak MockHttpClient (nicolas-grekas)
 * feature #30844 [Cache] add logs on early-recomputation and locking (nicolas-grekas)
 * feature #30520 [RouterDebugCommand] add link to Controllers (nicoweb)
 * feature #30212 [DI] Add support for "wither" methods - for greater immutable services (nicolas-grekas)
 * feature #30674 [FrameworkBundle] change the way http clients are configured by leveraging ScopingHttpClient (nicolas-grekas)
 * feature #29312 [EventDispatcher] Split events across requests (ro0NL)
 * feature #30827 [TwigBridge] Add template file link to debug:twig command (yceruto)
 * feature #30826 [Form] Add file links for described classes in debug:form command (yceruto)
 * feature #30813 New PHPUnit assertions for the WebTestCase (Pierstoval, fabpot)
 * feature #27738 [Validator] Add a HaveIBeenPwned password validator (dunglas)
 * feature #30690 Changing messenger bus id from 'message_bus' to 'messenger.default_bus' (THERAGE Kévin)
 * feature #30810 [Inflector] remove "internal" marker from the component (nicolas-grekas)
 * feature #26890 [Inflector] Support pluralization in the inflector (mbabker)
 * feature #28637 [Validator] add number constraints (jschaedl)
 * feature #30754 [Messenger] New messenger:stop-workers Command (weaverryan)
 * feature #30707 [Messenger][DX] Allow stamps to be passed directly to MessageBusInterface::dispatch() (weaverryan)
 * feature #29007 [Messenger] Add a Doctrine transport (vincenttouzet)
 * feature #30628 Making the serializer configurable by transport (weaverryan)
 * feature #30569 [FrameworkBundle][HttpKernel] Provide intuitive error message when a controller fails because it's not registered as a service (moynzzz)
 * feature #26484 [Validator] String normalization options for string-based validators (renan-taranto)
 * feature #30320 [Form][TwigBridge] Add row_attr to form theme (alexander-schranz)
 * feature #30371 [OptionsResolver] Add a new method addNormalizer and normalization hierarchy (yceruto)
 * feature #27735 [Validator][DoctrineBridge][FWBundle] Automatic data validation (dunglas)
 * feature #30758 [PropertyAccess] Allow Can Accessor in Property Access (ragboyjr)
 * feature #30116 [Filesystem] Fix mirroring a directory into itself or in his child with realpath checks (Fleuv, XuruDragon)
 * feature #28879 [Debug] Mimic __toString php behavior in FlattenException (Deltachaos)
 * feature #29495 [Ldap] Implement pagination (kevans91)
 * feature #29448 [Ldap] Entry move support  (kevans91)
 * feature #30741 Add the Mailer component (fabpot)
 * feature #30780 Fix some exception previous type hints (fabpot)
 * feature #30729 [HttpKernel] change $previous argument for HttpException to \Throwable (sGy1980de)
 * feature #30744 [Finder] Throw a dedicated exception for non-existing directory (xelan)
 * feature #30759 [Messenger] Adding the "sync" transport to call handlers synchronously (weaverryan)
 * feature #30772 [Contracts][EventDispatcher] move the Event class to symfony/contracts (nicolas-grekas)
 * feature #30708 [Messenger] ReceiverInterface::handle() to get() & Worker with prioritized transports (weaverryan)
 * feature #27648 [Lock] Added MongoDBStore (Joe Bennett)
 * feature #30752 [HttpClient] use "nyholm/psr7" by default in Psr18Client (nicolas-grekas)
 * feature #30671 Add optional parameter `prefetching` for AMQP connection (fbouchery)
 * feature #25707 [DI] ServiceProviderInterface, implementation for ServiceLocator (kejwmen)
 * feature #30606 [Validator] allow brackets in the optional query string (Emmanuel BORGES)
 * feature #29476 [Messenger] Add a command to setup transports (vincenttouzet)
 * feature #30719 [Mime] Add BodyRendererInterface (fabpot)
 * feature #30664 [Finder] Get filename without extension (antonch1989)
 * feature #30645 Alias for each assets package (gpenverne)
 * feature #30706 [PropertyInfo] Add possibility to extract private and protected properties in reflection extractor (joelwurtz)
 * feature #27808 [DI] Deprecate non-string default envs (ro0NL)
 * feature #30691 [Contracts][EventDispatcher] add EventDispatcherInterface to symfony/contracts and use it where possible (nicolas-grekas)
 * feature #20978 [Form] TransformationFailedException: Support specifying message to display (ogizanagi)
 * feature #30676 Avoid dispatching SendMessageToTransportsEvent on redeliver (weaverryan)
 * feature #26555 [Validator] Add constraint on unique elements collection(Assert\Unique) (zenmate, nicolas-grekas)
 * feature #27684 [FrameworkBundle] Debug container environment variables (ro0NL)
 * feature #30666 [Form][Console] Use dumper (ro0NL)
 * feature #30559 [HttpClient] Parse common API error formats for better exception messages (dunglas)
 * feature #28898 [Console] Add dumper (ro0NL)
 * feature #30629 [HttpClient] added CachingHttpClient (fabpot)
 * feature #30602 [BrowserKit] Add support for HttpClient (fabpot, THERAGE Kévin)
 * feature #30651 Allow user to set the project dir (tdutrion)
 * feature #30654 [HttpClient] Add a ScopingHttpClient (XuruDragon)
 * feature #30388 [Security] undeprecate the RoleHierarchyInterface (xabbuh)
 * feature #30652 Fixing a bug where messenger:consume could send message to wrong bus (weaverryan)
 * feature #30650 Dispatching two events when a message is sent & handled (weaverryan)
 * feature #30557 [Messenger] Worker events + global retry functionality (weaverryan)
 * feature #30468 [Workflow] Added support for many inital places (lyrixx)
 * feature #30448  [Finder] Ignore paths from .gitignore #26714 (amaabdou)
 * feature #30625 [HttpKernel] add RealHttpKernel: handle requests with HttpClientInterface (fabpot)
 * feature #30508 [Routing] Exposed "utf8" option, defaults "locale" and "format" in configuration (Jules Pietri)
 * feature #28920 [EventDispatcher] swap arguments of dispatch() to allow registering events by FQCN (nicolas-grekas)
 * feature #30605 [Cache] added DSN support for rediss in AbstractAdapter and RedisTrait (alex-vasilchenko-md)
 * feature #30604 [HttpClient] add MockHttpClient (nicolas-grekas)
 * feature #21035 [FrameworkBundle] Deprecate the Templating component integration (dunglas, fabpot)
 * feature #30567 [HttpClient] exceptions carry response (antonch1989)
 * feature #28849 [Messenger] Support for handling messages after current bus is finished (Nyholm)
 * feature #29538 [Workflow] Add colors to workflow dumps (alexislefebvre)
 * feature #28975 [DI] Add an url EnvProcessor (jderusse)
 * feature #30419 [FrameworkBundle] Add integration of http-client component (Ioni14, nicoweb)
 * feature #30583 [Messenger] Display a nice error when connection fail (lyrixx)
 * feature #30450 [Profiler] Render the performance graph with SVG (Tom32i)
 * feature #29130 [Serializer] Normalize constraint violation parameters (ogizanagi)
 * feature #28330 [MonologBridge] Add monolog processors adding route and command info (trakos)
 * feature #30339 [Monolog] Disable DebugLogger in CLI (lyrixx)
 * feature #30584 [Intl] Add compile binary (ro0NL)
 * feature #30579 Using AMQP auto-setup in all cases, not just in debug (weaverryan)
 * feature #30348 [DependencyInjection] Add ability to define an index for service in an injected service locator argument (XuruDragon, nicolas-grekas)
 * feature #30469 Create a hyperlink to interfaces/classes that can be autowired (SerkanYildiz)
 * feature #30334 [DI] add ReverseContainer: a locator that turns services back to their ids (nicolas-grekas)
 * feature #30539 [Messenger] deprecate LoggingMiddleware in favor of providing a logger to SendMessageMiddleware (nicolas-grekas)
 * feature #30556 [HttpClient] Allow to pass user/pw as an array (dunglas)
 * feature #30547 [HttpClient] Add new bearer option (dunglas)
 * feature #29303 [Messenger] add welcome notice when running the command (nicolas-grekas)
 * feature #30541 [BrowserKit] Rename Client to Browser (fabpot)
 * feature #30504 [DI] replace "nullable" env processor by improving the "default" one (nicolas-grekas)
 * feature #30499 [HttpClient] add ResponseInterface::toArray() (nicolas-grekas)
 * feature #30472 [Translation] Add XLIFF 1 source to metadata to differentiate from attr (ostrolucky)
 * feature #30484 [Mime] added Headers::toArray() (fabpot)
 * feature #30482 [Mime] Fix support for date form parts (fabpot)
 * feature #30385 [SecurityBundle] Validate the IPs configured in access_control (javiereguiluz)
 * feature #30413 [HttpClient][Contracts] introduce component and related contracts (nicolas-grekas)
 * feature #30377 [Validator] add MIR card scheme (antonch1989)
 * feature #29146 [Workflow] Added a context to `Workflow::apply()` (lyrixx)
 * feature #30433 [Form] Allow to disable and customize PercentType symbol (Ken Stanley, OskarStark)
 * feature #30408 [HttpKernel] Better exception page when the invokable controller returns nothing  (dimabory)
 * feature #30325 [HttpKernel] Prevent search engines from indexing dev applications (GaryPEGEOT)
 * feature #30390 [FrameworkBundle] Fix UrlGenerator::generate to return an empty string instead of null (Emmanuel BORGES)
 * feature #30375 [Messenger] Added transport agnostic exception (nikossvnk, lolmx)
 * feature #29254 [FrameworkBundle] Added the condition routing option to the debug router command (soufianZantar)
 * feature #30286 Drop more usages of Serializable (nicolas-grekas)
 * feature #30379 [FrameworkBundle][Routing] allow boolean container parameters for routes (dmaicher)
 * feature #29661 [Filesystem] Support resources and deprecate using arrays in dumpFile() and appendToFile() (thewilkybarkid)
 * feature #30358 [Form] be able to specify the input format for times (xabbuh)
 * feature #30416 Mime messages (fabpot)
 * feature #22048 [Security] deprecate the Role and SwitchUserRole classes (xabbuh)
 * feature #30345 [Monolog] Added a way to configure the ConsoleFormatter from the ConsoleHandler (lyrixx)
 * feature #30357 [TwigBridge] rename parent_form() to form_parent() (xabbuh)
 * feature #30257 [DependencyInjection] Allow to choose an index for tagged collection (deguif, XuruDragon)
 * feature #30311 [VarDumper] Implement DsCaster (enumag)
 * feature #27570 [PropertyInfo] Added support for extract type from default value (tsantos84)
 * feature #28919 [DX][WebProfilerBundle] Add Pretty Print functionality for Request Content (SamFleming)
 * feature #28723 [Form] deprecate custom formats with HTML5 widgets (xabbuh)
 * feature #29865 [Console] Added suggestions for missing packages (przemyslaw-bogusz)
 * feature #30301 [VarDumper] add link to source next to class names (nicolas-grekas)
 * feature #30225 publish message with custom queue options : flags | attributes (fedor.f, insidestyles)
 * feature #30249 [Routing] deprecate some router options (Tobion)
 * feature #30267 [Form] add option to render NumberType as type="number" (xabbuh)
 * feature #28969 [Form] deprecate using invalid names for buttons (xabbuh)
 * feature #29887 [Form] Add input_format option to DateType and DateTimeType (fancyweb)
 * feature #30051 Drop \Serializable implementations (renanbr)
 * feature #30236 Add element to ghost in Exception (przemyslaw-bogusz)
 * feature #30120 [FrameworkBundle][Translation] Added support for PHP files with trans() in translation commands (yceruto)
 * feature #28812 [Form] add a convenience method to get the parent form in Twig templates (xabbuh)
 * feature #29121 [FrameworkBundle][Translation] Add support for Translator paths, Twig paths and Translator aware services paths in commands (yceruto)
 * feature #28477 [Validator] Add new json Validator (zairigimad)
 * feature #30126 [Form] forward valid numeric values to transform() (xabbuh)
 * feature #28635 [Form] Add label_translation_parameters, help_translation_parameters and attr_translation_parameters options to base form type (webnet-fr)
 * feature #29767 Nullable environment variable processor (bpolaszek)
 * feature #30111 [SecurityBundle] Deprecate the normalization of the cookie names (javiereguiluz)
 * feature #30027 [FrameworkBundle] Add sid_length and sid_bits_per_character session ini options in session configuration (XuruDragon)
 * feature #30075 [DependencyInjection] Added information about deprecated aliases in debug:autowiring (XuruDragon)
 * feature #30024 [Debug] Display more details in the simple error page of Debug (javiereguiluz)
 * feature #30052 [Security] Replace serialization API (renanbr)
 * feature #27898 [Yaml] Fixed invalid Parser behavior (guiguiboy)
 * feature #29753 [Console] Add an iterate method to the ProgressBar class (jvasseur)
 * feature #29999 [PropertyAccess] speed up accessing object properties (xabbuh)
 * feature #29641 [Validator] NotBlank: add a new option to allow null values (dunglas)
 * feature #28721 [Form] deprecate some options for single_text widgets (xabbuh)
 * feature #29936 [Mime] Add a set of default content-types for some extensions (fabpot)
 * feature #28865 [Routing] allow using compiled matchers and generators without dumping PHP code (nicolas-grekas)
 * feature #29236 [Cache] deprecate all PSR-16 adapters, provide Psr16Cache instead (nicolas-grekas)
 * feature #29958 introducing native php serialize() support for Messenger transport (weaverryan, xabbuh)
 * feature #29861 [Form][TwigBridge] Add help_html (mpiot)
 * feature #29968 [DI] Added support for deprecating aliases (j92, Renan)
 * feature #29850 [FrameworkBundle] xliff-version option to translation update command (andrewwro)
 * feature #29896 [Mime] Add the component (fabpot)
 * feature #29862 Add block prefix to csrf token field (alexander-schranz)
 * feature #29881 [BrowserKit] Various changes to the Response class (fabpot)
 * feature #29813 [FrameworkBundle] Remove ControllerTrait::isFormValid() (lyrixx)
 * feature #29148 Load original file metadata when loading Xliff 1.2 files (eternoendless)
 * feature #29840 [FrameworkBundle] pass project dir into the assets install command (xabbuh)
 * feature #29821 [VarDumper] add caster for OpenSSL X.509 resources (nicolas-grekas)
 * feature #29781 [DI] Add trim env processor (ogizanagi)
 * feature #28902 [Debug] Detect virtual methods using @method (ro0NL)
 * feature #29780 [Profiler] Still show locale and fallback locale even if no trans used (ogizanagi)
 * feature #29680 [Form] Add new block_prefix option for an easy form theming (yceruto)
 * feature #29528 [DebugBundle] Added 'theme' option to change the color of dump() when rendered inside templates (dem3trio)
 * feature #24576 [FrameworkBundle] Added `ControllerTrait::isFormValid` (lyrixx)
 * feature #29483 [HttpKernel] Set the default locale early (thewilkybarkid)
 * feature #29186 [HttpKernel] Increase priority of AddRequestFormatsListener (thewilkybarkid)
 * feature #29658 [Validator] Choices constraint improvement   (nikophil)
 * feature #29283 [Serializer] CsvEncoder no header option (encode / decode) (redecs)
 * feature #29718 [PHPUnit bridge] Bump php version of PHPUnit-bridge (gmponos)
 * feature #29599 [Routing] Allow force-generation of trailing parameters using eg "/exports/news.{!_format}" (zavulon)
 * feature #29613 [VarDumper] Use hyperlinks in CliDescriptor (ogizanagi)
 * feature #28581 [DomCrawler] return empty string on `Crawler::text()` and `Crawler::html()` instead of an exception (respinoza)
 * feature #29286 [WebProfilerBundle] Enable translation filters (ro0NL)
 * feature #29517 [Hackday][Messenger] Add an alias for transport.symfony_serializer so SerializerInterface can be autowired (karser)
 * feature #29108 [DI] compute autowiring error messages lazily (nicolas-grekas)
 * feature #29235 [VarDumper] add support for links in CliDumper (nicolas-grekas)
 * feature #29541 [FrameworkBundle] Stop calling Kernel::boot() twice in cli (chalasr)
 * feature #28931 [PhpUnitBridge] Added ClassExistsMock (ro0NL)
 * feature #29504 [Validator] Add support for UATP card validation (raulfraile)
 * feature #29168 [Console] Add hyperlinks support (ostrolucky)
 * feature #29439 [PhpUnitBridge] install PHPUnit 7 on PHP 7.1 and fix requir. for PHPUnit 6 (gregurco)
 * feature #29452 [Form] Shortcut debug:form for partial type name (ro0NL)
 * feature #28954 [Debug] Mark ErrorHandler and ExceptionHandler classes as final (fancyweb)
 * feature #28479 [Validator] Checking a BIC along with an IBAN (sylfabre)
 * feature #28858 [DI] Deprecated using env vars with cannotBeEmpty() (ro0NL)
 * feature #28976 [DI] Add a "default" EnvProcessor (jderusse)
 * feature #29127 [DomCrawler] Added return of element name in `extract()` method (andrey-helldar)
 * feature #29145 [Workflow] Trigger `entered` event for subject entering in the Workflow for the first time (lyrixx)

